*** Settings ***
Documentation     Drive-To-Image smoke Test script
Resource          ${LIBRARY}/resource.be.robot

*** Keywords ***
Wipe Format Encrypted
	[Arguments]	${fs}=${VARIABLE}
	Task Set Targets	Wipe:1
	Set Wipe Format	Wipe:1	${fs}	${true}
	Start Task	Wipe:1
	${tasks}=	Create List	Wipe:1
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	Wipe:1

Run Test IO
	@{dsts}=	Get Destination Bays
	FOR	${d}	IN	@{dsts}
		Run IO To Repo	${d}
	END

*** Test Cases ***
TEST_PREP
	Task Delete All	Wipe

TEST_WIPE_FORMAT_ALL_AES_CBC_SHA256_NTFS
	Set Encryption Params	aes	CBC	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_CBC_SHA256_EXT4
	Set Encryption Params	aes	CBC	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_CBC_SHA256_EXFAT
	Set Encryption Params	aes	CBC	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_SHA256_NTFS
	Set Encryption Params	aes	ECB	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_SHA256_EXT4
	Set Encryption Params	aes	ECB	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_SHA256_EXFAT
	Set Encryption Params	aes	ECB	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_CBC_PLAIN_NTFS
	Set Encryption Params	aes	CBC	plain64	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_CBC_PLAIN_EXT4
	Set Encryption Params	aes	CBC	plain64	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_CBC_PLAIN_EXFAT
	Set Encryption Params	aes	CBC	plain64	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_PLAIN_NTFS
	Set Encryption Params	aes	ECB	plain64	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_PLAIN_EXT4
	Set Encryption Params	aes	ECB	plain64	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_AES_ECB_PLAIN_EXFAT
	Set Encryption Params	aes	ECB	plain64	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO

TEST_WIPE_FORMAT_ALL_VCRYPT_AES_NTFS
	Set Encryption Params	aes	VCRYPT	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_VCRYPT_AES_EXT4
	Set Encryption Params	aes	VCRYPT	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_VCRYPT_AES_EXFAT
	Set Encryption Params	aes	VCRYPT	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO

TEST_WIPE_FORMAT_ALL_TCRYPT_AES_NTFS
	Set Encryption Params	aes	TC-XTS	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ntfs
	Run Test IO

TEST_WIPE_FORMAT_ALL_TCRYPT_AES_EXT4
	Set Encryption Params	aes	TC-XTS	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	ext4
	Run Test IO

TEST_WIPE_FORMAT_ALL_TCRYPT_AES_EXFAT
	Set Encryption Params	aes	TC-XTS	ESSIV:SHA256	logicube123
	Wipe Format Encrypted	exfat
	Run Test IO
