*** Settings ***
Documentation     FNG-313 smoke Test script
Resource          ${LIBRARY}/resource.be.robot

*** Keywords ***

*** Test Cases ***
TEST_PREP
	Task Delete All	Image
	Task Delete All	Hash

CHECK_SOURCES_READ_ONLY
	@{drv}    Get Source Drives
	FOR	${d}	IN	@{drv}
		Check Read Only	${d}
	END

CHECK_DESTINATIONS_READ_WRITE
	@{drv}    Get Destination Drives
	FOR	${d}	IN	@{drv}
		Check Read Write	${d}
	END

MIRROR_CLONE
	@{tasks}=	Create List
	${task}=	Set Variable	1
	# Get all source/destination pairs
	&{pairs}    Get Pairs

	# Setup a task for each of the pairs
	FOR	${p}	IN	&{pairs}
		Run Keyword If	${task} > 1	Task Add	Image:${task}
		Set Clone Config	Image:${task}	Mirror	6542381
		Task Set Master	Image:${task}	${p}[0]
		Task Set Hash	Image:${task}	SHA-1	${true}
		Task Set Targets	Image:${task}	${p}[1]
		Append To List	${tasks}	Image:${task}
		${task}=	Evaluate	${task} + 1
	END

	# Start and monitor all tasks
	Start All Tasks	${tasks}
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Delete All Tasks	${tasks}
