*** Settings ***
Documentation     Macros smoke Test script
Resource          ${LIBRARY}/resource.be.robot

*** Keywords ***
Setup Macros
	@{macros}=	Create List
	${idx}=	Set Variable	0
	# Get all source/destination pairs
	&{pairs}    Get Pairs

	# Setup a task for each of the pairs
	FOR	${p}	IN	&{pairs}
		${idx}=	Evaluate	${idx} + 1
		Run Keyword If	${idx} > 1	Task Add	Image:${idx}
		Run Keyword If	${idx} > 1	Task Add	Wipe:${idx}
		Run Keyword If	${idx} > 1	Task Add	Hash:${idx}

		# Setup wipe task
		Task Set Targets	Wipe:${idx}	${p}[1]
		Set Wipe Format	Wipe:${idx}	ntfs	${false}

		# Setup hash task
		Task Set Targets	Hash:${idx}	${p}[0]
		Task Set Hash	Hash:${idx}	SHA-1

		# Setup imaging E01 task
		Set Imaging Config	Image:${idx}	DriveToE01	4Gb	Default
		Task Set Master	Image:${idx}	${p}[0]
		Task Set Hash	Image:${idx}	SHA1-MD5	Both
		Task Set Repositories	Image:${idx}	${p}[1]
		
		@{macro}=	Create List	Wipe:${idx}	Hash:${idx}	Image:${idx}
		Setup Task Macro	${idx}	${macro}
		Append To List	${macros}	${idx}
	END

	[return]	${macros}

*** Test Cases ***
TEST_PREP
	Task Delete All	Image
	Task Delete All	Hash
	Task Delete All	Wipe

WIPE_FORMAT_ALL_NTFS
	Task Set Targets	Wipe:1
	Set Wipe Format	Wipe:1	ntfs	${false}
	Start Task	Wipe:1
	${tasks}=	Create List	Wipe:1
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	Wipe:1

TEST_TASK_MACROS
	@{macros}=	Setup Macros
	Log	${macros}
	FOR	${m}	IN	@{macros}
		Start Task Macro	${m}
	END
	Wait For Macro Completion	${macros}
	Confirm Macro Successful	${macros}
