*** Settings ***
Documentation     Wipe format destinations smoke Test script
Resource          ${LIBRARY}/resource.be.robot

*** Keywords ***
Wipe Clean
	Task Set Targets	Wipe:1
	@{values}=	Create List	0xAA
	@{vrfy}=	Create List	${0}
	Set Wipe Method	Wipe:1	Custom	65536
	Set Wipe Values	Wipe:1	${values}	${vrfy}
	Start Task	Wipe:1
	${tasks}=	Create List	Wipe:1
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	Wipe:1

	# Make sure the number of partitions match
	@{dst}    Get Destination Bays
	FOR	${d}	IN	@{dst}
		${npart}=	Get Bay Num Parts	${d}
		Should Be Equal	${npart}	${0}
	END

Wipe Format
	[Arguments]	${fs}=${VARIABLE}
	Task Set Targets	Wipe:1
	Set Wipe Format	Wipe:1	${fs}	${false}
	Start Task	Wipe:1
	${tasks}=	Create List	Wipe:1
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	Wipe:1

	# Make sure the number of partitions match
	@{dst}    Get Destination Bays
	FOR	${d}	IN	@{dst}
		${npart}=	Get Bay Num Parts	${d}
		Should Be Equal	${npart}	${1}
		${mounted}=	Is Repo Mounted	${d}
		Should Be True	${mounted}
	END

*** Test Cases ***
TEST_PREP
	Task Delete All	Wipe

TEST_NTFS
	Wipe Clean
	Wipe Format	ntfs

TEST_EXFAT
	Wipe Clean
	Wipe Format	exfat

TEST_EXT4
	Wipe Clean
	Wipe Format	ext4

TEST_HFSP
	Wipe Clean
	Wipe Format	hfsplus
