*** Settings ***
Documentation     Drive-To-Image smoke Test script
Resource          ${LIBRARY}/resource.be.robot

*** Keywords ***
Capture DriveToFile
	[Arguments]	${method}=${VARIABLE}	${segsz}=${VARIABLE}	${comp}=${VARIABLE}	${hash}=${VARIABLE}	${vrfy}=${VARIABLE}
	@{tasks}=	Create List
	${task}=	Set Variable	1
	# Get all source/destination pairs
	&{pairs}    Get Pairs

	# Setup a task for each of the pairs
	FOR	${p}	IN	&{pairs}
		Log	${p}
		Run Keyword If	${task} > 1	Task Add	Image:${task}
		Set Imaging Config	Image:${task}	${method}	${segsz}	${comp}
		Task Set Master	Image:${task}	${p}[0]
		Task Set Hash	Image:${task}	${hash}	${vrfy}
		Task Set Repositories	Image:${task}	${p}[1]
		Append To List	${tasks}	Image:${task}
		${task}=	Evaluate	${task} + 1
	END

	# Start and monitor all tasks
	Start All Tasks	${tasks}
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Delete All Tasks	${tasks}

Wipe Format
	[Arguments]	${task}=${VARIABLE}	${fs}=${VARIABLE}	${enc}=${VARIABLE}
	Task Set Targets	${task}
	Set Wipe Format	${task}	${fs}	${enc}
	Start Task	${task}
	${tasks}=	Create List	${task}
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	${task}

*** Test Cases ***
TEST_PREP
	Task Delete All	Image
	Task Delete All	Wipe

TEST_DD_ALL_PAIRS_EXT4
	Wipe Format	Wipe:1	ext4	${false}
	Capture DriveToFile	DriveToDD	2Gb	None	SHA-1	Primary
	Capture DriveToFile	DriveToDD	2Gb	None	SHA-256	Primary

TEST_DD_ALL_PAIRS_NTFS
	Wipe Format	Wipe:1	ntfs	${false}
	Capture DriveToFile	DriveToDD	2Gb	None	SHA-1	Primary
	Capture DriveToFile	DriveToDD	2Gb	None	SHA-256	Primary
